Count the blacklist entries of a selection
curl --request POST \
--url https://app.flextell.ai/api/v1/channel-blacklists/bulk-count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"ids": [
2
],
"select_all": true,
"filters": {
"channel_id": 123,
"customer_id": 123,
"is_active": true,
"reason": [],
"is_permanent": true,
"search": "<string>",
"blocked_at_from": "2023-11-07T05:31:56Z",
"blocked_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [
2
]
}
'import requests
url = "https://app.flextell.ai/api/v1/channel-blacklists/bulk-count"
payload = {
"ids": [2],
"select_all": True,
"filters": {
"channel_id": 123,
"customer_id": 123,
"is_active": True,
"reason": [],
"is_permanent": True,
"search": "<string>",
"blocked_at_from": "2023-11-07T05:31:56Z",
"blocked_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [2]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ids: [2],
select_all: true,
filters: {
channel_id: 123,
customer_id: 123,
is_active: true,
reason: [],
is_permanent: true,
search: '<string>',
blocked_at_from: '2023-11-07T05:31:56Z',
blocked_at_to: '2023-11-07T05:31:56Z'
},
except_ids: [2]
})
};
fetch('https://app.flextell.ai/api/v1/channel-blacklists/bulk-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/channel-blacklists/bulk-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
2
],
'select_all' => true,
'filters' => [
'channel_id' => 123,
'customer_id' => 123,
'is_active' => true,
'reason' => [
],
'is_permanent' => true,
'search' => '<string>',
'blocked_at_from' => '2023-11-07T05:31:56Z',
'blocked_at_to' => '2023-11-07T05:31:56Z'
],
'except_ids' => [
2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/channel-blacklists/bulk-count"
payload := strings.NewReader("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"channel_id\": 123,\n \"customer_id\": 123,\n \"is_active\": true,\n \"reason\": [],\n \"is_permanent\": true,\n \"search\": \"<string>\",\n \"blocked_at_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/channel-blacklists/bulk-count")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"channel_id\": 123,\n \"customer_id\": 123,\n \"is_active\": true,\n \"reason\": [],\n \"is_permanent\": true,\n \"search\": \"<string>\",\n \"blocked_at_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/channel-blacklists/bulk-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"channel_id\": 123,\n \"customer_id\": 123,\n \"is_active\": true,\n \"reason\": [],\n \"is_permanent\": true,\n \"search\": \"<string>\",\n \"blocked_at_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}ChannelBlacklist
Count the blacklist entries of a selection
The number of entries a bulk unblock with the same ids or select_all body would act on, for a
confirmation such as “1,238 blocks will be lifted”. Use it instead of the list’s pagination total,
which belongs to a page that may be out of date.
POST
/
v1
/
channel-blacklists
/
bulk-count
Count the blacklist entries of a selection
curl --request POST \
--url https://app.flextell.ai/api/v1/channel-blacklists/bulk-count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"ids": [
2
],
"select_all": true,
"filters": {
"channel_id": 123,
"customer_id": 123,
"is_active": true,
"reason": [],
"is_permanent": true,
"search": "<string>",
"blocked_at_from": "2023-11-07T05:31:56Z",
"blocked_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [
2
]
}
'import requests
url = "https://app.flextell.ai/api/v1/channel-blacklists/bulk-count"
payload = {
"ids": [2],
"select_all": True,
"filters": {
"channel_id": 123,
"customer_id": 123,
"is_active": True,
"reason": [],
"is_permanent": True,
"search": "<string>",
"blocked_at_from": "2023-11-07T05:31:56Z",
"blocked_at_to": "2023-11-07T05:31:56Z"
},
"except_ids": [2]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ids: [2],
select_all: true,
filters: {
channel_id: 123,
customer_id: 123,
is_active: true,
reason: [],
is_permanent: true,
search: '<string>',
blocked_at_from: '2023-11-07T05:31:56Z',
blocked_at_to: '2023-11-07T05:31:56Z'
},
except_ids: [2]
})
};
fetch('https://app.flextell.ai/api/v1/channel-blacklists/bulk-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/channel-blacklists/bulk-count",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
2
],
'select_all' => true,
'filters' => [
'channel_id' => 123,
'customer_id' => 123,
'is_active' => true,
'reason' => [
],
'is_permanent' => true,
'search' => '<string>',
'blocked_at_from' => '2023-11-07T05:31:56Z',
'blocked_at_to' => '2023-11-07T05:31:56Z'
],
'except_ids' => [
2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/channel-blacklists/bulk-count"
payload := strings.NewReader("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"channel_id\": 123,\n \"customer_id\": 123,\n \"is_active\": true,\n \"reason\": [],\n \"is_permanent\": true,\n \"search\": \"<string>\",\n \"blocked_at_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/channel-blacklists/bulk-count")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"channel_id\": 123,\n \"customer_id\": 123,\n \"is_active\": true,\n \"reason\": [],\n \"is_permanent\": true,\n \"search\": \"<string>\",\n \"blocked_at_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/channel-blacklists/bulk-count")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"channel_id\": 123,\n \"customer_id\": 123,\n \"is_active\": true,\n \"reason\": [],\n \"is_permanent\": true,\n \"search\": \"<string>\",\n \"blocked_at_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_at_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"count": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Yetkilendirmeler
oauth2bearer
Başlıklar
Gövde
application/json
The selection of a bulk unblock: the ticked ids, or select_all with the list's filters in
filters (the parameters of GET /channel-blacklists).